#!/usr/bin/tclsh

exec elegant orbit0.ele >@ stdout
exec elegant orbit1.ele >@ stdout
exec elegant orbit2.ele >@ stdout

exec \
    sddsxref results/orbit0.sdds results/orbit1.sdds -pipe=out -take=x -rename=col,x=x1 | \
    sddsxref -pipe               results/orbit2.sdds           -take=x -rename=col,x=x2 | \
    sddsprocess -pipe=in results/residual.sdds \
	"-define=col,dx1,x1 x -,units=m,symbol=x\$b1\$n-x\$b0\$n" \
	"-define=col,dx2,x2 x -,units=m,symbol=x\$b2\$n-x\$b0\$n"

exec tclsh plot_orbit.tcl &
