#!/usr/bin/tclsh

set res  "results/residual.sdds"
set mag  "results/beamline.mag"

exec \
    sddsplot "-title=" \
	-col=s,Profile -graph=line,type=15 -factor=yMult=1e-6 $mag \
	-col=s,dx2     -graph=line,type=4,thick=2 -legend  $res \
	"-yLabel=Residual x (m)" \
    &
